package cz.zcu.kiv.vsp.msloup;

/**
 * Interface pro rozdlen
 * @author Martin Sloup
 */
public interface Distribution {
	/**
	 * Generuje nhodn sla a pot stedn hodnotu, rozptyl a histogram
	 */
	void iterate();
	/**
	 * Vrac stedn hodnotu zskanou matematicky
	 * @return	stedn hodnota
	 */
	double getE();
	/**
	 * Vrac rozptyl zskanou matematicky
	 * @return	rozptyl
	 */
	double getD();
	/**
	 * Vrac stedn hodnotu zskanou vpotem z generovanch sel
	 * @return	stedn hodnota
	 */
	double getComputedE();
	/**
	 * Vrac rozptyl zskan vpotem z generovanch hodnot
	 * @return	rozptyl
	 */
	double getComputedD();
	/**
	 * Vrac pole histogramu
	 * @return	histogram ve form pole
	 */
	double[] getHistogram();
	/**
	 * Potek intervalu histogramu
	 * @return	potem histogramu
	 */
	double getHistogramMin();
	/**
	 * Konec intervalu histogramu
	 * @return	konec histogramu
	 */
	double getHistogramMax();
	/**
	 * Velikost dlku histogramu
	 * @return	velikost dlku
	 */
	double getHistogramItemSize();
}
